package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class DetailKajianEvaluasiVO extends BaseMasterVO{

	@ManyToOne
	@Caption(value="Tujuan")
	private JabatanVO tujuan;
	
//	@Column(name = "ObjectTujuanFk", insertable=false,updatable=false,nullable=false)
//	private Integer tujuanId;
	
	@Column(name="statusUsulan")
	@Caption(value="Status Usulan")
	private String statusUsulan;
	
	@Column(name="koreksi")
	@Caption(value="Koreksi")
	private String koreksi;
	
	@ManyToOne
	@Caption(value="Kajian Evaluasi")
	private KajianEvaluasiVO kajianEvaluasi;

	public JabatanVO getTujuan() {
		return tujuan;
	}

	public void setTujuan(JabatanVO tujuan) {
		this.tujuan = tujuan;
	}

	public KajianEvaluasiVO getKajianEvaluasi() {
		return kajianEvaluasi;
	}

	public void setKajianEvaluasi(KajianEvaluasiVO kajianEvaluasi) {
		this.kajianEvaluasi = kajianEvaluasi;
	}

	public String getStatusUsulan() {
		return statusUsulan;
	}

	public void setStatusUsulan(String statusUsulan) {
		this.statusUsulan = statusUsulan;
	}

	public String getKoreksi() {
		return koreksi;
	}

	public void setKoreksi(String koreksi) {
		this.koreksi = koreksi;
	}
	
//	@Column(name = "ObjectKajianEvaluasiFk", insertable=false,updatable=false,nullable=false)
//	private Integer kajianId;
	
}
